# Function forContractInstance

- forContractInstance(contract, settings?): Promise<ContractInstanceDecoder>

- This function is asynchronous.

  Constructs a contract instance decoder for a given contract instance.

  #### Parameters

  - ##### contract: ContractInstanceObject

    The contract abstraction object corresponding to the contract instance.

  - ##### settings: DecoderSettings = {}

    The [[DecoderSettings]] to use; see the documentation for that type for more information. If absent, the decoder will be based on just the single contract provided; it is recommended to pass more information to get the decoder's full power.

  #### Returns Promise<ContractInstanceDecoder>

  - Defined in decoder/lib/index.ts:355

Generated using TypeDoc